View Issue Details

This bug affects 1 person(s).
 14
IDProjectCategoryView StatusLast Update
15195Bug reportsSurvey editingpublic2023-06-01 17:44
Reporterc_schmitz Assigned Toadamzammit  
PriorityimmediateSeveritycrash 
Status closedResolutionfixed 
Product Version3.17.x 
Summary15195: Expiration date can be set before start date
Description

The application must ensure that only logically valid data can be entered at the front end as well as directly to the server side of an application of system.

Steps To Reproduce

Application does not validate start and expiration date of a survey properly, start date can be set after expiration date.

TagsNo tags attached.
Bug heat14
Complete LimeSurvey version number (& build)3.17.14
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMySQL
Server OS (if known)
Webserver software & version (if known)
PHP Version7.0

Relationships

related to 18314 closedollehar Save-button under Survey settings does not work 
related to 18338 closedadamzammit For participants, expiration date can be set before start date 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

LimeBot

LimeBot

2019-08-29 15:14

administrator   ~53338

Last edited: 2019-08-29 15:15

I actually add a new rule on the model to check it . it works fine when you want to save the survey but for some reasons it's not take in account when activate the survey. I will find a way to fix it !

c_schmitz

c_schmitz

2021-03-19 09:42

administrator   ~63453

Standard date rule most likely does not support this - see https://stackoverflow.com/questions/9543451/yii-validation-only-if-another-field-is-present for idea

gabrieljenik

gabrieljenik

2022-07-25 21:50

manager   ~71133

This happens on LTS and Master

gabrieljenik

gabrieljenik

2022-07-27 23:11

manager   ~71207

LTS: https://github.com/LimeSurvey/LimeSurvey/pull/2551

DenisChenu

DenisChenu

2022-07-28 08:19

developer   ~71213

NOT TESTED

I mean : if there are error : do you lost data or not when try to save invalid data in GUI and rempotecontrol.
Did you have information on error.

gabrieljenik

gabrieljenik

2022-08-02 14:52

manager   ~71297

Master: https://github.com/LimeSurvey/LimeSurvey/pull/2558
Master implementation implements front end validations.

Let's review that before implementing the same on LTS PR.

ollehar

ollehar

2022-08-03 13:00

administrator   ~71305

Added comment.

gabrieljenik

gabrieljenik

2022-08-11 20:21

manager   ~71418

Tested OK

gabrieljenik

gabrieljenik

2022-08-12 10:31

manager   ~71428

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33717

LimeBot

LimeBot

2022-08-15 10:20

administrator   ~71439

Fixed in Release 5.3.31+220815

gabrieljenik

gabrieljenik

2022-08-17 15:05

manager   ~71463

This was reverted as it was causing problems.
Will review.

gabrieljenik

gabrieljenik

2022-08-18 21:44

manager   ~71487

PR Master: https://github.com/LimeSurvey/LimeSurvey/pull/2575

surveysettings.js was not loaded through pjax.
Now it is :)

gabrieljenik

gabrieljenik

2022-08-23 15:01

manager   ~71518

Tested it for master

gabrieljenik

gabrieljenik

2022-09-01 13:39

manager   ~71581

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33853

Mazi

Mazi

2022-09-08 13:41

updater   ~71651

We should add a similar validation for "valid from" and "valid until" dates for tokens!

gabrieljenik

gabrieljenik

2022-09-08 17:27

manager   ~71661

Issue 18338 created

LimeBot

LimeBot

2022-09-14 10:58

administrator   ~71719

Fixed in Release 5.4.0+220913

gabrieljenik

gabrieljenik

2022-09-14 14:01

manager   ~71730

LTS: https://github.com/LimeSurvey/LimeSurvey/pull/2551

This is pending to be enhanced and merged.
Should we? I think so, right?

gabrieljenik

gabrieljenik

2022-09-27 15:07

manager   ~71975

LTS tested OK on the GUI, not remote control.
I think still this could be OK to merge.
What do you think @DenisChenu?

DenisChenu

DenisChenu

2022-09-27 16:00

developer   ~71980

Yes

gabrieljenik

gabrieljenik

2022-10-06 10:50

manager   ~72145

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33937

LimeBot

LimeBot

2022-10-10 12:05

administrator   ~72187

Fixed in Release 3.28.32+221011

c_schmitz

c_schmitz

2022-11-08 13:10

administrator   ~72636

We have to revert this patch. It is causing a blocker/crash:

To reproduce:

  1. Activate a survey
  2. Set a start date one day in the future
  3. Expire the survey
  4. Deactivate the survey

Expected:

  • Survey is deactiavted

Actually happening:

  • Survey is still active, but response table is gone
  • Cannot list surveys anymore - crashes
gabrieljenik

gabrieljenik

2022-11-08 14:25

manager   ~72637

Sorry to hear this..
Will review

gabrieljenik

gabrieljenik

2022-11-08 14:38

manager   ~72638

@c_schmitz should also be reverted on LTS maybe?

c_schmitz

c_schmitz

2022-11-08 15:24

administrator   ~72639

yes, I commented out the rule on master, please do it on LTS

gabrieljenik

gabrieljenik

2022-11-08 16:07

manager   ~72640

I believe the problem is not about this bug/solution.

This seems to happen when the start date is in the future.
If you use the Expire Survey option, enter the date and save it, the validation doesn't seem to be running.
Still, data is already ackward (expiration date prior to start date)
If after that you deactivate, the validation runs and fails because data is already wrong.

I can think of 4 options:
1) Discard the validations added on the model.
2) When you expire from "Deactivate", update start date as to not be after expiration date.
3) Do not give the option to expire if the start date is in the future (or add warning message).
4) Clear the start date, if expiring before it started

I would open a new ticket to treat this issue.
When that is fixed, we can maybe reinstate the expire vs start date validation.

Thoughts?

gabrieljenik

gabrieljenik

2022-11-08 16:13

manager   ~72641

yes, I commented out the rule on master, please do it on LTS

Done
https://github.com/LimeSurvey/LimeSurvey/commit/52a67791f9071167f99e3c6288bff03503d45b66

c_schmitz

c_schmitz

2022-11-08 16:29

administrator   ~72644

Last edited: 2022-11-08 17:10

Please do the following:
If there is a future start date set, set the expiration date to the same date when the user tries to expire the survey.

DenisChenu

DenisChenu

2022-11-08 18:35

developer   ~72646

1) Discard the validations added on the model.

Use scenario ?

gabrieljenik

gabrieljenik

2022-11-09 14:18

manager   ~72682

If there is a future start date set, set the expiration date to the same date when the user tries to expire the survey.

Master PR: https://github.com/LimeSurvey/LimeSurvey/pull/2714

Fix expiration process
Restore date validation

gabrieljenik

gabrieljenik

2022-11-10 11:03

manager   ~72691

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=34029

c_schmitz

c_schmitz

2022-11-10 11:04

administrator   ~72692

Still need a fix for 3.x

LimeBot

LimeBot

2022-11-14 11:49

administrator   ~72716

Fixed in Release 5.4.11+221114

gabrieljenik

gabrieljenik

2022-11-14 20:33

manager   ~72735

LTS: https://github.com/LimeSurvey/LimeSurvey/pull/2727

gabrieljenik

gabrieljenik

2022-11-16 09:47

manager   ~72749

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=34039

c_schmitz

c_schmitz

2022-11-16 09:47

administrator   ~72750

Thank you!

LimeBot

LimeBot

2022-11-21 10:54

administrator   ~72829

Fixed in Release 3.28.39+221122

adamzammit

adamzammit

2023-06-01 17:44

developer   ~75350

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=34757

Related Changesets

LimeSurvey: master d84f4aff

2022-08-12 10:31:31

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15195: Expiration date can be set before start date (#2558)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
15195
mod - application/models/Survey.php Diff File
mod - application/views/admin/survey/subview/accordion/_publication_panel.php Diff File
mod - application/views/surveyAdministration/editLocalSettings_main_view.php Diff File
mod - assets/scripts/admin/surveysettings.js Diff File

LimeSurvey: master 7710b7b0

2022-09-01 13:39:01

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15195: Expiration date can be set before start date (#2575) Affected Issues
15195
mod - application/controllers/SurveyAdministrationController.php Diff File
mod - application/views/surveyAdministration/editLocalSettings_main_view.php Diff File

LimeSurvey: 3.x-LTS 53008de7

2022-10-06 10:45:40

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15195: Expiration date can be set before start date (#2551)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
15195
mod - application/controllers/admin/surveyadmin.php Diff File
mod - application/models/Survey.php Diff File
mod - application/views/admin/survey/editLocalSettings_main_view.php Diff File
mod - application/views/admin/survey/subview/accordion/_publication_panel.php Diff File
add - assets/scripts/admin/surveysettings.js Diff File

LimeSurvey: master 020da64d

2022-11-10 11:03:06

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15195: Expiration date can be set before start date (#2714) Affected Issues
15195
mod - application/models/Survey.php Diff File

LimeSurvey: 3.x-LTS b1debf37

2022-11-16 09:47:07

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15195: Expiration date can be set before start date (#2727) Affected Issues
15195
mod - application/models/Survey.php Diff File

LimeSurvey: 3.x-LTS 6cd2e8b8

2023-06-01 17:35:47

adamzammit


Committer: GitHub Details Diff
Fixed issue 17491: Multiple Short Text subquestions missing from Export Printable Survey (#3134)

* Fixed issue 17962: Export fails when called from a Cron process or console application (#2417)

* Fixed issue 18074: Exit and clear survey doesn't work (#2397)

* Fixed issue 17872: Answerfilters reset after pagination changed (#2403)

* Fixed issue 17987 : quota url need to be decoded (#2395)

* Fixed issue 17709: GUI setting for DB session lifetime does not apply (#2415)

* Dev Automatic translation update

* Release 3.28.12+220524

* Updated translation: Malay by lucas_encuesta.biz
Updated translation: Maltese by gabrieljenik

* Updated translation: Italian (Informal) by lucas_encuesta.biz

* Fixed issue #18160: [security] Update jquery-ui to 1.13.1

* Release 3.28.13+220531

* Fixed issue 18029: Removed html tags in emails (#2411)

* Fixed issue 18129 : potential 500 error in file upload (#2434)

* Fixed issue 18043: Subquestion attributes shown in Short Free text quesiton type

* Dev Update ComfortUpdate URL to get a trial key

* Revert "Fixed issue 18043: Subquestion attributes shown in Short Free text quesiton type"

This reverts commit 70bf2e78e3b33db16ee5cc6fb9a31fe94a5d9b82.

* Fixed issue: Question organizer not working

* Fixed issue 18128 : JS error on 1st survey page

* Dev Updated language description for Sami

* Dev: Avoid issue with ndebug set and null pageTailorInfo

* Fixed issue 18140: cannot import vv file (with debug set) (#2453)

Dev: remove uneeded unlink and add comment in function

* Updated translation: French (France) by DenisChenu
Updated translation: Uighur by walkingdead

* Release 3.28.14+220608

* Fixed issue 18086: Custom 'other' label text not applied to Bootstrap button layout (#2422)

* Fixed issue #18189: Fonts showing differently on mobile Vs desktop (#2467)

* Updated translation: Czech by jelen1
Updated translation: Indonesian by ysulistya
Updated translation: Czech (Informal) by jelen1

* Release 3.28.15+220616

* Updated translation: Catalan by qualitatuvic
Updated translation: French (France) by DenisChenu, Xave
Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.16+220621

* Fixed issue 18186: Language changer does not work in registration page (#2474)

Fixed issue 18186: Language changer does not work in registration page
Dev: same fix than master
Dev: keyboard navigation OK
Dev: submit button OK

* Fixed issue: Error after user deletion

* Release 3.28.17+220627

* Fixed issue #18189: Fonts showing differently on mobile Vs desktop (#2484)

* Fixed issue [security] #18042: Path-relative stylesheet import (PRSSI) vulnerability (#2374) (#2495)

* Fixed issue 18201: Unable to import LSA file with MSSQL and debug set (#2472)

Dev: check if $result['CONTRAINT_NAME'] exist before using it

* Fixed issue [security] #18200: User with only reponse export can export Survey + token (survey archive) (#2491)

* Dev Automatic translation update

* Revert "Fixed issue 18029: Removed html tags in emails (#2411)"

This reverts commit 39705d571d21ff59c8aea85c6ceca4858ed48998.

* Updated translation: German by c_schmitz
Updated translation: Basque by zatarain
Updated translation: Italian by lfanfoni, ritapas
Updated translation: Kazakh by CenterOfExcellence
Updated translation: Kannada by mahantesh19
Updated translation: Luxembourgish by Mazi
Updated translation: Dutch by Han
Updated translation: Slovak by jelen1
Updated translation: Ukrainian by olly
Updated translation: Zulu by erik.lamontagne
Updated translation: Italian (Informal) by lfanfoni
Updated translation: Dutch (Informal) by Han
Updated translation: Chinese (Simplified) by FangZhijian

* Release 3.28.18+220706

* Fixed issue 17952: Command action try to open uneeded session (#2496)

Dev: replace the get action on ConsoleHttpSession

* Fixed issue 17488: Cannot view survey after updating to version 3.27.9 with custom twig extension (breaks survey) (#2360)

* Updated translation: Hungarian by kkd

* Release 3.28.19+220712

* Fixed issue #18183: Date filter at statistics is not applied correctly (#2493)

* Fixed issue #18106: Missing survey ID replacements at registration screen

* Updated translation: Basque by admin67
Updated translation: Japanese by nomoto
Updated translation: German (Informal) by c_schmitz

* Release 3.28.20+220719

* Fixed issue 17458: Check integrity broke with SQL error (#2312)

Dev: add a try/cast
Dev: happen if subquestion title are number only
Dev: No need to check if integer, and don't throw exception …
Dev: log it as info

* Updated translation: Swedish by maxzomborszki

* Release 3.28.21+220726

* Fixed issue 17972: events are dispatched if the plugin is deactivated (#2335)

Dev: Add param to load init
Dev: set it to false in PluginManagerController in all case
Dev: active plugin are loaded via PluginManager->loadPlugins
Dev: use plugin model active status in PluginManager
Dev: init the plugin before activate

* Updated translation: French (France) by c_schmitz, DenisChenu, eddylackmann, fradeff, frederic93190, Xave
Updated translation: Thai by tomzt
Updated translation: Turkish by kayazeren

* Release 3.28.22+220802

* Updated translation: Lithuanian by c_schmitz, simasj

* Release 3.28.23+220809

* Updated translation: Croatian by rovinj

* Release 3.28.24+220816

* Fixed issue: Cannot load previously saved response to resume, instead the message "There is no matching saved response" is shown after entering identifier and password

* Fixed issue 16795: typo in default text for confirmation email (in english) (#2572)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Dev Automatic translation update

* Fixed issue 17485: The getAnswerQuery method cannot be used in the Answers model (#2569)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18209: Missing RemoteControl function to get the field mapping (#2490)

* Dev: Add validate command needed to validate extremely big email templates with expressions

* Updated translation: Catalan by qualitatuvic
Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.25+220822

* Updated translation: Czech by jelen1
Updated translation: Czech (Informal) by jelen1, slansky

* Updated translation: Bengali by lucas_encuesta.biz
Updated translation: German by c_schmitz
Updated translation: Georgian by lucas_encuesta.biz
Updated translation: German (Informal) by c_schmitz

* Fixed issue: No response recorded when using registration
Dev Revert "Fixed issue #18106: Missing survey ID replacements at registration screen"
Dev This reverts commit f23a8a8a35afca6d64b595e20cb9a6f65facadcc.

* Updated translation: German by c_schmitz
Updated translation: Georgian by c_schmitz
Updated translation: German (Informal) by c_schmitz

* Release 3.28.26+220829

* Updated translation: Chinese (Simplified) by johnxan

* Updated translation: Galician by Calidonia
Updated translation: Italian by lfanfoni
Updated translation: Swedish by maxzomborszki
Updated translation: Thai by adzpire, tomzt
Updated translation: Turkish by kayazeren
Updated translation: Italian (Informal) by lfanfoni
Updated translation: Valencian by joamuran, vbraque

* Release 3.28.27+220905

* Updated translation: Dutch by Han
Updated translation: Dutch (Informal) by Han

* Release 3.28.28+220912

* Fixed issue 18344: Unable to download file in response list (IIS)

* Fixed issue 18133: Set "Other" state has no clue about current state

* Fixed issue 16697: «inherit everything» still not translated (#2609)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.29+220920

* Fixed issue 17870: Default value with line feed broke Expression Script

* Fixed issue 18240: QuestioinTheme browserdetect, Show Platform information didn't work (#2596)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18351: Extra token placeholder show as invalid in expression (#2601)

Dev: add completed to fixed columns
Dev: use all in expression validator since Script use all token->attributes

* Updated translation: Italian by lfanfoni
Updated translation: Italian (Informal) by lfanfoni

* Updated translation: German by c_schmitz
Updated translation: Khmer by lucas_encuesta.biz
Updated translation: Urdu by lucas_encuesta.biz

* Updated translation: German (Informal) by c_schmitz

* Release 3.28.30+220927

* Updated translation: Polish by elissa
Updated translation: Thai by tomzt
Updated translation: Uighur by walkingdead
Updated translation: Polish (Informal) by elissa

* Release 3.28.31+221005

* Fixed issue 17950: is_int(false) returns true (#2431)

Dev: false and '' disallowed

* Fixed issue: HTML tags are not allowed for admins in participant attributes (#2626)

* Fixed issue 15195: Expiration date can be set before start date (#2551)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 17117: 'Send invitations' button does nothing after failed send invitations (#2571)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18134: Present subquestions/answer options in random order has no clue about current state (#2563)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 17173: Publication and access setting 'listed publicly' not displayed correctly (#2544)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18141: changing display mode from extended to compact in survey responses windows causes freeze (#2499)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 14386: Pagination legend incorrect for Survey Groups (#2535)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Updated translation: Uighur by walkingdead

* Release 3.28.32+221011

* Updated translation: Czech by jelen1
Updated translation: Czech (Informal) by jelen1

* Dev Text fixes

* Dev Automatic translation update

* Dev Text fixes

* Dev Automatic translation update

* Updated translation: German by c_schmitz
Updated translation: German (Informal) by c_schmitz

* Fixed issue: [security] Various major & minor security issues discovered by automated security tools

* Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.33+221020

* Fixed issue: Missing files

* Release 3.28.34+221021

* Fixed issue: Cannot edit file in theme editor

* Updated translation: Czech by jelen1
Updated translation: Czech (Informal) by jelen1

* Release 3.28.35+221025

* Fixed issue: Cannot add participant to CPDB

* Fixed issue 18430: Unable to ComfortUpdate

* Dev Small fix

* Updated translation: Italian by lfanfoni
Updated translation: Italian (Informal) by lfanfoni

* Dev Update to Yii 1.1.26 for better 8.1 compatibilty

* Release 3.28.36+221102

* Fixed issue: ComfortUpdate is blocked by error/warning/notice when debug mode is active

* Fixed issue 15310: Display dropdown boxes - Date/Time question type not working correctly if minimum date < 1900 (#2628)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 17883: QueXML formatting cannot be changed (#2561)

Dev: Patch by 2BITS_PL

* Dev Performance enhancement for survey list
Dev Bumped updater version

* Dev Performance enhancement for survey list

* Dev Automatic translation update

* Release 3.28.37+221108

* Fixed issue: Survey gets into a state where it seems to be active but isn't - to fix this run integrity check

Partially reverting issue 15195.
Similar to commit https://github.com/LimeSurvey/LimeSurvey/commit/dbc22fcbf4d3bc80c44b596ab99346f8f280bf81

* Updated translation: Catalan by qualitatuvic
Updated translation: Czech by jelen1
Updated translation: Portuguese (Brazil) by educaticteced, effgarces, filhocf, josesiqueira, mauriciofurtado
Updated translation: Czech (Informal) by jelen1

* Release 3.28.38+221115

* Fixed issue: ComfortUpdate should use SSL by default

* Fixed issue 15195: Expiration date can be set before start date (#2727)

* Fixed issue 18488: Conditions are not properly highlighted if they have additional spaces (#2736)

* Updated translation: Hungarian by kkd
Updated translation: Valencian by vbraque

* Release 3.28.39+221122

* Fixed issue 16187: Cant Create Custom Survey ID (need proper error message) (#2725)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Fixed issue 18461 Survey groups at survey list screen should be listed alphabetically (#2723)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Fixed issue 14310: Google Analytics functionality doesn't work (#2643)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Updated translation: Italian by lfanfoni, ritapas
Updated translation: Polish by elissa
Updated translation: Italian (Informal) by lfanfoni, ritapas
Updated translation: Polish (Informal) by elissa

* Release 3.28.40+221129

* Fixed issue 17818: Copy a multiple choice question send a DB error (MSSQL) (#2593)

Dev: switchMSSQLIdentityInsert when needed

* Updated translation: French (France) by arnaud21, DenisChenu, Xave
Updated translation: Italian by lfanfoni
Updated translation: Dutch by c_schmitz, Han
Updated translation: Polish by elissa
Updated translation: Italian (Informal) by lfanfoni
Updated translation: Dutch (Informal) by c_schmitz, Han
Updated translation: Polish (Informal) by elissa

* Release 3.28.41+221206

* Fixed issue [security] #18514 : no CSRF control when delete token table (#2760)

Dev: move to POST action

* Updated translation: Catalan by qualitatuvic
Updated translation: Galician by Calidonia
Updated translation: Japanese by c_schmitz, d_inoue, nomoto
Updated translation: Portuguese (Brazil) by mauriciofurtado

* Release 3.28.42+221213

* Updated translation: Azerbaijani by PawelAtroszko
Updated translation: Bosnian by PawelAtroszko
Updated translation: Galician by Calidonia
Updated translation: Luxembourgish by Mazi

* Fixed issue 18086: Custom "other" label text not applied to Bootstrap button layout (#2749)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Fixed issue 18338: For participants, expiration date can be set before start date (#2726)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Co-authored-by: Olle Härstedt <olleharstedt@yahoo.com>

* Updated translation: Bosnian by PawelAtroszko
Updated translation: German by c_schmitz, eddylackmann

* Dev: Fix CI

* Dev: Fix CI

* Dev: Fix CI

* Dev: Fix CI

* Dev: Debug index.php

* Updated translation: Catalan by qualitatuvic

* Dev: Missing mbstring in CI

* Dev: Missing FF capabilities for local cert (CI)

* Dev: Try with testdox (CI)

* Dev: Insert authdb plugin row before running tests (CI)

* Dev: Fix typo

* Dev: Use -b limesurvey (CI)

* Dev: testdox swallows errors :( (CI)

* Dev: cat config.php (CI)

* Dev: Wait longer at login screen (CI)

* Dev: Test to sleep (CI)

* Dev: Dump body (CI)

* Dev: Add missing xml lib ext (CI)

* Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Dev: Remove try-catch around index

* Release 3.28.43+221221

* Dev Automatic translation update

* Dev: Fix iframe bug in unit test

* Updated translation: Czech by jelen1
Updated translation: Italian by lfanfoni
Updated translation: Czech (Informal) by jelen1
Updated translation: Italian (Informal) by lfanfoni

* Release 3.28.44+230110

* Updated translation: Afrikaans by c_schmitz
Updated translation: Arabic by c_schmitz, Shatha
Updated translation: Bulgarian by c_schmitz
Updated translation: Danish by c_schmitz
Updated translation: Greek by c_schmitz
Updated translation: Spanish (Spain) by c_schmitz
Updated translation: Spanish (Mexican) by c_schmitz
Updated translation: Estonian by c_schmitz
Updated translation: Hindi by c_schmitz
Updated translation: Croatian by c_schmitz
Updated translation: Hungarian by c_schmitz
Updated translation: Indonesian by c_schmitz
Updated translation: Korean by c_schmitz
Updated translation: Luxembourgish by Mazi
Updated translation: Lithuanian by c_schmitz
Updated translation: Latvian by c_schmitz
Updated translation: Mongolian by c_schmitz
Updated translation: Norwegian (Bokmål) by c_schmitz
Updated translation: Norwegian (Nynorsk) by c_schmitz
Updated translation: Polish by c_schmitz, elissa
Updated translation: Portuguese (Brazil) by c_schmitz
Updated translation: Romanian by c_schmitz
Updated translation: Russian by c_schmitz
Updated translation: Slovenian by c_schmitz
Updated translation: Swedish by c_schmitz
Updated translation: Thai by c_schmitz
Updated translation: Turkish by c_schmitz
Updated translation: Ukrainian by c_schmitz
Updated translation: Vietnamese by c_schmitz
Updated translation: Spanish (Argentina) (Informal) by c_schmitz
Updated translation: Polish (Informal) by elissa
Updated translation: Chinese (Simplified) by c_schmitz

* Release 3.28.45+230117

* Updated translation: Dutch by Han
Updated translation: Dutch (Informal) by Han

* Release 3.28.46+230124

* Updated translation: Bulgarian by c_schmitz
Updated translation: Bosnian by DenisChenu
Updated translation: French (France) by DenisChenu
Updated translation: Hindi by lucas_encuesta.biz, PawelAtroszko
Updated translation: Malay by PawelAtroszko
Updated translation: Urdu by lucas_encuesta.biz

* Fixed issue 18562: Upload question type partially broken (#2811)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Dev Automatic translation update

* Release 3.28.47+230131

* Updated translation: Armenian by c_schmitz

* Fixed issue: Unable to remove an expired ComfortUpdate key

* Dev Raised updater version to 18

* Fixed issue: Unable to remove an expired ComfortUpdate key

* Updated translation: Croatian by c_schmitz
Updated translation: Swedish by c_schmitz
Updated translation: Turkish by c_schmitz
Updated translation: Chinese (Simplified) by c_schmitz

* Updated translation: Filipino by TobyCarslake
Updated translation: Maltese by PawelAtroszko
Updated translation: Urdu by PawelAtroszko

* Fixed issue: Unable to add an new ComfortUpdate key

* Updated translation: Danish by c_schmitz
Updated translation: German by c_schmitz
Updated translation: Spanish (Mexican) by c_schmitz
Updated translation: Hindi by c_schmitz
Updated translation: Indonesian by c_schmitz
Updated translation: Korean by c_schmitz
Updated translation: Mongolian by c_schmitz
Updated translation: Norwegian (Bokmål) by c_schmitz
Updated translation: Portuguese (Brazil) by tamiel
Updated translation: Romanian by c_schmitz
Updated translation: Russian by c_schmitz
Updated translation: Vietnamese by c_schmitz
Updated translation: German (Informal) by c_schmitz, eddylackmann, moeller
Updated translation: Chinese (Taiwan) (Traditional) by c_schmitz

* Updated translation: Portuguese (Brazil) by c_schmitz

* Updated translation: Portuguese (Portugal) by c_schmitz
Updated translation: Portuguese (Brazil) by tamiel
Updated translation: German (Easy) by c_schmitz

* Release 3.28.48+230207

* Updated translation: Malay by c_schmitz
Updated translation: Tagalog by c_schmitz

* Fixed issue: Intermittent unstyled page when creating/copying a survey

* Updated translation: Malay by c_schmitz

* Updated translation: Bengali by PawelAtroszko

* Release 3.28.49+230215

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated moment.js to version 2.29.4

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated jQuery UI to version v1.13.2

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated ckEditor to 4.20.2

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated Select2 to 4.0.13

* Release 3.28.50+230221

* Fixed issue 18407: On-page conditions not working when pre-filling question with equation on the same page (#2676)

Dev: ASSIGN didn't work really with javascript,
Dev: Minimal fix to don't throw JS error

* Fixed issue 18532: Data entry screen incorrectly assigns 0 value to empty multiflex array checkbox values (PR #2755)

Fixed issue 18532: Data entry screen incorrectly assigns 0 value to empty multiflex array checkbox values

* Updated translation: Bosnian by amer.kurta
Updated translation: Ukrainian by c_schmitz

* Release 3.28.51+230228

* Renamed wrong "nameaccesskey" to "accesskey"

* Updated translation: Basque by admin67
Updated translation: Valencian by vbraque

* Fixed issue: Unable to run integrity check on databases with a big number of surveys

* Updated translation: Russian by vipgroup

* Release 3.28.52+230307

* Updated translation: Japanese by d_inoue
Updated translation: Polish by elissa

* Release 3.28.53+230314

* Fixed issue: $aFiles can be null

* Feature 18197: Allow GA4 tracking (#2962)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Dev: Null coalesce operator is not available in PHP 5.6

* Release 3.28.54+230321

* Fixed issue 18071: Importing Qaestion through Remote Control may fail if the imported question already exists (#2972)

Co-authored-by: Gabriel Jenik <gabriel.jenik@gmail.com>

* Fixed issue: Division by Zero error when running statistics

* Dev Automatic translation update

* Release 3.28.55+230328

* Fixed issue: PCLZip error on last step of ComfortUpdate when trying to update from version 3 to latest version

* Release 3.28.56+230404

* Fixed issue 18703: Upload files show error if not seen (using index) (#3014)

* Dev Small test change

* Dev Updated runner for Github actions

* Updated translation: Norwegian (Bokmål) by pmonstad
Updated translation: Turkish by kayazeren
Updated translation: German (Easy) by c_schmitz

* Release 3.28.57+230425

* Fixed issue 18603: Set Minimum number of files for File Upload not working (#2864)

Dev: allow "" and max and min file

* Fixed issue 18639: Token browse can be unusable with lot of data in attribute (#2915)

Dev: wrap value inside in cell (and encode)
Dev: PHP part, need a micro CSS art after
Dev: css part, apply to .grid-view .table td .text-content
Dev: PSR
Dev: Move to CustomFormatter->formatLongText
Dev: apply max-width and min-width with less than 50 caracter too

* Updated translation: Norwegian (Bokmål) by pmonstad

* Updated translation: Swedish by maxzomborszki

* Dev: Spit out php version and modules in CI

* Dev: More info in error message

* Dev: Do MySQL service fixes before installation (CI)

* Release 3.28.58+230504

* Dev: Dump available logs (CI)

* Dev: Tail MySQL error log (CI)

* Dev: Tail as background task (CI)

* Dev: YML syntax error

* Dev: More CI debugging

* Fixed issue 18343: Problem with interpreting double slash in URL (IIS) (#2630)

Dev: use PHP to construct the url
Dev: check if non empty before adding it
Dev: editorurl

* Fixed issue 18634: Export single selected response can export a empty line (#2909)

* Fixed issue 18634: Export single selected response can export a empty line
Dev: id set in url, resonseId in POST (by session)
Dev: remove session usage
Dev: can move to window-location-href, but ready for POST

* Dev: separator to ,

* Dev: oups, lost the allow separator in widget

* Dev: Fixed new tab opens

* Dev Automatic translation update

* Dev: Must check PHP 5.6 syntax before anything else (CI)

* Dev: Wrong ordering (CI)

* Revert "Fixed issue 18343: Problem with interpreting double slash in URL (IIS) (#2630)" (#3130)

This reverts commit ebb447a803af3a2c010437c69e92a66904a08ab8.

* Fixed issue 17491: Multiple Short Text subquestions missing from Export Printable Survey

---------

Co-authored-by: Gabriel Jenik <gabriel.jenik@gmail.com>
Co-authored-by: Denis Chenu <denis@sondages.pro>
Co-authored-by: LimeSurvey Translations Bot <translations@limesurvey.org>
Co-authored-by: olleharstedt <olleharstedt@yahoo.com>
Co-authored-by: Carsten Schmitz <carsten.schmitz@limesurvey.org>
Co-authored-by: François Charles Hébert <68611027+fsay2604@users.noreply.github.com>
Co-authored-by: Roberto Longobardi <530743+seccanj@users.noreply.github.com>
Co-authored-by: c-schmitz <carsten.schmitz.hh@gamil.com>
Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Co-authored-by: Olle Haerstedt <olle.haerstedt@limesurvey.org>
Co-authored-by: Carsten Schmitz <c_schmitz@users.sourceforge.net>
Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Co-authored-by: Marcel Minke <maziminke@web.de>
Affected Issues
14310, 14386, 15195, 15310, 16187, 16697, 16795, 17117, 17173, 17458, 17488, 17491, 17709, 17818, 17870, 17872, 17883, 17950, 17952, 17962, 17972, 17987, 18029, 18043, 18071, 18074, 18086, 18106, 18128, 18129, 18133, 18134, 18140, 18141, 18160, 18183, 18186, 18189, 18201, 18209, 18240, 18338, 18343, 18344, 18351, 18407, 18430, 18461, 18488, 18492, 18532, 18562, 18603, 18634, 18639, 18703
mod - application/controllers/admin/printablesurvey.php Diff File

Issue History

Date Modified Username Field Change
2019-08-27 16:36 c_schmitz New Issue
2019-08-29 11:34 cdorin Assigned To => LimeBot
2019-08-29 11:34 cdorin Status new => assigned
2019-08-29 11:34 cdorin Priority none => normal
2019-08-29 15:14 LimeBot Status assigned => feedback
2019-08-29 15:14 LimeBot Note Added: 53338
2019-08-29 15:15 LimeBot Note Edited: 53338
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2020-04-01 17:00 cdorin Zoho Sprints => |Yes|
2020-04-01 17:00 swendrich Zoho Sprints ID => 14469000000018205
2020-10-27 09:34 LimeBot Sync to Zoho Project => |Yes|
2020-10-27 09:35 LimeBot Sync to Zoho Project Yes => |Yes|
2020-10-27 09:36 LimeBot Sync to Zoho Project Yes => |Yes|
2020-10-27 09:37 LimeBot Sync to Zoho Project Yes => |Yes|
2020-10-28 10:57 LimeBot Sync to Zoho Project Yes => |Yes|
2021-03-19 09:27 c_schmitz Sync to Zoho Project Yes =>
2021-03-19 09:28 c_schmitz Sync to Zoho Project => |Yes|
2021-03-19 09:28 c_schmitz Assigned To LimeBot =>
2021-03-19 09:28 c_schmitz Status feedback => confirmed
2021-03-19 09:42 c_schmitz Note Added: 63453
2022-07-25 21:50 gabrieljenik Note Added: 71133
2022-07-25 21:50 gabrieljenik Bug heat 4 => 6
2022-07-25 21:51 gabrieljenik Assigned To => gabrieljenik
2022-07-25 21:51 gabrieljenik Status confirmed => assigned
2022-07-27 23:11 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-07-27 23:11 gabrieljenik Status assigned => ready for code review
2022-07-27 23:11 gabrieljenik Note Added: 71207
2022-07-28 08:19 DenisChenu Assigned To DenisChenu =>
2022-07-28 08:19 DenisChenu Status ready for code review => ready for testing
2022-07-28 08:19 DenisChenu Note Added: 71213
2022-07-28 08:19 DenisChenu Bug heat 6 => 8
2022-08-02 14:52 gabrieljenik Assigned To => DenisChenu
2022-08-02 14:52 gabrieljenik Status ready for testing => ready for code review
2022-08-02 14:52 gabrieljenik Note Added: 71297
2022-08-03 13:00 ollehar Note Added: 71305
2022-08-03 13:00 ollehar Bug heat 8 => 10
2022-08-11 20:21 gabrieljenik Note Added: 71418
2022-08-12 10:31 gabrieljenik Changeset attached => LimeSurvey master d84f4aff
2022-08-12 10:31 gabrieljenik Note Added: 71428
2022-08-12 10:31 gabrieljenik Assigned To DenisChenu => gabrieljenik
2022-08-12 10:31 gabrieljenik Resolution open => fixed
2022-08-12 10:32 ollehar Status ready for code review => resolved
2022-08-15 10:20 LimeBot Note Added: 71439
2022-08-15 10:20 LimeBot Status resolved => closed
2022-08-17 10:15 c_schmitz Relationship added related to 18314
2022-08-17 15:05 gabrieljenik Status closed => assigned
2022-08-17 15:05 gabrieljenik Note Added: 71463
2022-08-18 21:44 gabrieljenik Status assigned => ready for code review
2022-08-18 21:44 gabrieljenik Note Added: 71487
2022-08-18 21:45 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-08-23 15:01 gabrieljenik Note Added: 71518
2022-08-23 15:49 DenisChenu Assigned To DenisChenu => gabrieljenik
2022-08-23 15:49 DenisChenu Status ready for code review => in testing
2022-09-01 13:39 gabrieljenik Changeset attached => LimeSurvey master 7710b7b0
2022-09-01 13:39 gabrieljenik Note Added: 71581
2022-09-08 13:41 Mazi Note Added: 71651
2022-09-08 13:41 Mazi Bug heat 10 => 12
2022-09-08 17:26 gabrieljenik Issue cloned: 18338
2022-09-08 17:26 gabrieljenik Relationship added related to 18338
2022-09-08 17:27 gabrieljenik Note Added: 71661
2022-09-14 10:58 LimeBot Note Added: 71719
2022-09-14 10:58 LimeBot Status in testing => closed
2022-09-14 14:01 gabrieljenik Note Added: 71730
2022-09-27 15:07 gabrieljenik Note Added: 71975
2022-09-27 15:07 gabrieljenik Status closed => in testing
2022-09-27 16:00 DenisChenu Note Added: 71980
2022-10-06 10:50 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 53008de7
2022-10-06 10:50 gabrieljenik Note Added: 72145
2022-10-10 12:05 LimeBot Note Added: 72187
2022-10-10 12:05 LimeBot Status in testing => closed
2022-11-08 13:10 c_schmitz Note Added: 72636
2022-11-08 13:11 c_schmitz Status closed => feedback
2022-11-08 13:11 c_schmitz Resolution fixed => reopened
2022-11-08 13:18 c_schmitz Priority normal => immediate
2022-11-08 13:18 c_schmitz Severity minor => crash
2022-11-08 14:25 gabrieljenik Note Added: 72637
2022-11-08 14:38 gabrieljenik Note Added: 72638
2022-11-08 15:24 c_schmitz Note Added: 72639
2022-11-08 15:24 c_schmitz Status feedback => assigned
2022-11-08 16:07 gabrieljenik Note Added: 72640
2022-11-08 16:13 gabrieljenik Note Added: 72641
2022-11-08 16:29 c_schmitz Note Added: 72644
2022-11-08 17:10 c_schmitz Note Edited: 72644
2022-11-08 18:35 DenisChenu Note Added: 72646
2022-11-09 14:18 gabrieljenik Note Added: 72682
2022-11-10 11:03 gabrieljenik Changeset attached => LimeSurvey master 020da64d
2022-11-10 11:03 gabrieljenik Note Added: 72691
2022-11-10 11:03 gabrieljenik Resolution reopened => fixed
2022-11-10 11:04 c_schmitz Note Added: 72692
2022-11-14 11:49 LimeBot Note Added: 72716
2022-11-14 11:49 LimeBot Status assigned => closed
2022-11-14 15:38 gabrieljenik Status closed => assigned
2022-11-14 20:33 gabrieljenik Assigned To gabrieljenik => c_schmitz
2022-11-14 20:33 gabrieljenik Status assigned => ready for code review
2022-11-14 20:33 gabrieljenik Note Added: 72735
2022-11-16 09:47 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS b1debf37
2022-11-16 09:47 gabrieljenik Note Added: 72749
2022-11-16 09:47 gabrieljenik Assigned To c_schmitz => gabrieljenik
2022-11-16 09:47 c_schmitz Status ready for code review => resolved
2022-11-16 09:47 c_schmitz Note Added: 72750
2022-11-21 10:54 LimeBot Note Added: 72829
2022-11-21 10:54 LimeBot Status resolved => closed
2023-06-01 17:44 adamzammit Changeset attached => LimeSurvey 3.x-LTS 6cd2e8b8
2023-06-01 17:44 adamzammit Note Added: 75350
2023-06-01 17:44 adamzammit Bug heat 12 => 14
2023-06-01 17:44 adamzammit Assigned To gabrieljenik => adamzammit